Skip to main content
GET
/
valorant
/
v1
/
leaderboard
/
{affinity}
Get leaderboard (v1)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/leaderboard/{affinity}
import requests

url = "https://api.henrikdev.xyz/valorant/v1/leaderboard/{affinity}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/leaderboard/{affinity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": [
    {
      "code": 1,
      "message": "<string>",
      "status": 1,
      "details": "<unknown>"
    }
  ]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

Query Parameters

season
string

Season ID (optional)

name
string

Player name to search for (optional)

tag
string

Player tag to search for (optional)

Response

Leaderboard retrieved successfully